<?php
/**
 * @author Michael J Rubinsky <mrubinsk@horde.org>
 * @license http://www.horde.org/licenses/gpl GPLv2
 * @category Horde
 * @package Horde_ActiveSync
 * @subpackage UnitTests
 */
class Horde_ActiveSync_CollectionTest extends Horde_Test_Case
{

    public function testMethodPollForChanges()
    {
        $inbox = array(
            'class' => 'Email',
            'windowsize' => 5,
            'truncation' => 0,
            'mimesupport' => 0,
            'mimetruncation' => 8,
            'conflict' => 1,
            'bodyprefs' => array(
                'wanted' => 2,
                2 => array(
                    'type' => 2,
                    'truncationsize' => 200000)
            ),
            'deletesasmoves' => 1,
            'filtertype' => 5,
            'id' => '519422f1-4c5c-4547-946a-1701c0a8015f',
            'serverid' => 'INBOX',
            'synckey' => '{517541cc-b188-478d-9e1a-fa49c0a8015f}3');

        $state = $this->getMockSkipConstructor('Horde_ActiveSync_State_Sql');
        $driver = $this->getMockDriver($state);
        $collections = $this->getCollectionHandler($state);
        $collections->loadCollectionsFromCache();
        // $collections->addCollection($inbox, true);
        // $collections->updatePingableFlag();
        // var_dump($collections->pollForChanges(10, 2));
    }

    public function getMockDriver($state)
    {
        $connector = new Horde_ActiveSync_Driver_MockConnector();
        $driver = new Horde_ActiveSync_Driver_Mock(array(
            'connector' => $connector,
            'auth' => false,
            'imap' => false,
            'state' => $state));

        return $driver;
    }

    public function getCollectionHandler($state)
    {
        $logger = new Horde_Test_Log();
        $as = $this->getMockSkipConstructor('Horde_ActiveSync');
        $as->logger = $logger->getLogger();
        $as->state = $state;
        $cache = new Horde_ActiveSync_SyncCache($state, 'dev123', 'mike', $logger->getLogger());
        $collections = new Horde_ActiveSync_Collections($cache, $as);

        return $collections;
    }


}